
Member Nodes - Task #4201

MNDeployment # 3221 (Operational): EDAC member node 

listObjects fromDate parameter is not millisecond precision

2013-12-12 19:43 - Rob Nahf

Status: Closed Start date: 2013-12-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

mn.listObjects expects records to be returned according to millisecond precision, and the MN synchronization process advances its

progressive harvesting window by adding 1ms to the modification date of the latest object harvested object from the previous

harvest.

Otherwise, the latest object from the previous harvest is re-harvested, and in the case of problems (as is this case) keeps reporting a

synchronization failed back to the MN.

Either the fromDate should be rounded up according to the local precision, or milliseconds should be used in the systemMetadata

dates.

History

#1 - 2013-12-12 19:43 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

checked that it is fixed, and it is passing the new test.

#2 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#3 - 2014-05-01 15:51 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

#4 - 2014-06-30 17:52 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Operational
